Skip to main content
GET
Obtain a list of previously generated swapping and/or bridging quotes

Authorizations

Authorization
string
header
required

JWT token for authentication

Query Parameters

sortBy
enum<string>
required

The field that results will be sorted by. Either "createdAt" (sorting by the datetime that the quote was created) or "updatedAt" (sorting by the datetime that the quote was last updated). Must be used in conjunction with sortDirection.

Available options:
createdAt,
updatedAt
Example:

"createdAt"

sortDirection
enum<string>
required

The order that results will be returned in. Either "asc" or "desc". Must be used in conjunction with sortBy.

Available options:
asc,
desc
Example:

"desc"

pageToken
string

a non empty string

Minimum string length: 1
pageSize
string
required

a string to be decoded into a number

state
enum<string>

Optional filter by the status of the bridge/bridge+swap transaction. One of: "PENDING" (the quote has been committed but the deposit has not yet been received and accepted for processing), "ACCEPTED" (the deposit has been accepted and the transaction is being processed onchain), or "EXECUTED" (fully processed onchain).

Available options:
PENDING,
ACCEPTED,
EXECUTED
Example:

"PENDING"

Response

Success

items
object[]
required

Bridge transaction details.

nextPageToken
string | null
required

An opaque token identifying the next page of results, to be passed in the pageToken query param to fetch it. Null when there are no further pages.

Minimum string length: 1